/*
 * $Id: Parameters_msg_error.cpp 113 2009-04-14 18:39:12Z rosiere $
 *
 * [ Description ]
 * 
 */

#include "Behavioural/include/Types.h"
#include "Behavioural/Core/Multi_Front_end/Front_end/Ifetch_unit/Ifetch_queue/include/Parameters.h"
#include <sstream>

namespace morpheo                    {
namespace behavioural {
namespace core {
namespace multi_front_end {
namespace front_end {
namespace ifetch_unit {
namespace ifetch_queue {

#undef  FUNCTION
#define FUNCTION "Ifetch_queue::msg_error"
  Parameters_test Parameters::msg_error(void)
  {
    log_printf(FUNC,Ifetch_queue,FUNCTION,"Begin");

    Parameters_test test ("Ifetch_queue");

    if (not is_multiple (_nb_instruction_in_queue,_nb_instruction))
      test.error(_("Size of ifetch queue must be a multiple of nb_instruction.\n"));

    if (_size_queue == 1)
      test.warning(_("To best perfomance, size_queue must be > 1.\n"));
    
    log_printf(FUNC,Ifetch_queue,FUNCTION,"End");

    return test;
  };

}; // end namespace ifetch_queue
}; // end namespace ifetch_unit
}; // end namespace front_end
}; // end namespace multi_front_end
}; // end namespace core

}; // end namespace behavioural
}; // end namespace morpheo              
